Add several couples of an entity and a preview to a playlist, in one database write. The same entity can be in the playlist several times, with different previews. A couple that is already in the playlist is skipped. Without preview_file_id, or when the preview is not a preview of the entity, the route uses the last preview of the entity for the task type of the playlist. A manager of the project can change all the playlists. A supervisor of the project can change the playlists that the supervisor created and the playlists with no creator.
POST
/actions/playlists/{playlist_id}/add-entities
curl \
--request POST '/api/actions/playlists/{playlist_id}/add-entities' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"entities": [
{
"entity_id": "string",
"preview_file_id": "string"
}
]
}'
Request examples
{
"entities": [
{
"entity_id": "string",
"preview_file_id": "string"
}
]
}
Response examples (200)
{}